# coding: utf-8

"""
    PeerTube

    # Introduction  The PeerTube API is built on HTTP(S). Our API is RESTful. It has predictable resource URLs. It returns HTTP response codes to indicate errors. It also accepts and returns JSON in the HTTP body. You can use your favorite HTTP/REST library for your programming language to use PeerTube. No official SDK is currently provided, but the spec API is fully compatible with [openapi-generator](https://github.com/OpenAPITools/openapi-generator/wiki/API-client-generator-HOWTO) which generates a client SDK in the language of your choice.  # Authentication  When you sign up for an account, you are given the possibility to generate sessions, and authenticate using this session token. One session token can currently be used at a time.  # Errors  The API uses standard HTTP status codes to indicate the success or failure of the API call. The body of the response will be JSON in the following format.  ``` {   \"code\": \"unauthorized_request\", // example inner error code   \"error\": \"Token is invalid.\" // example exposed error message } ```   # noqa: E501

    The version of the OpenAPI document: 2.1.0
    Generated by: https://openapi-generator.tech
"""


from __future__ import absolute_import

import unittest

import peertube
from peertube.api.my_user_api import MyUserApi  # noqa: E501
from peertube.rest import ApiException


class TestMyUserApi(unittest.TestCase):
    """MyUserApi unit test stubs"""

    def setUp(self):
        self.api = peertube.api.my_user_api.MyUserApi()  # noqa: E501

    def tearDown(self):
        pass

    def test_users_me_avatar_pick_post(self):
        """Test case for users_me_avatar_pick_post

        Update current user avatar  # noqa: E501
        """
        pass

    def test_users_me_get(self):
        """Test case for users_me_get

        Get current user information  # noqa: E501
        """
        pass

    def test_users_me_put(self):
        """Test case for users_me_put

        Update current user information  # noqa: E501
        """
        pass

    def test_users_me_subscriptions_exist_get(self):
        """Test case for users_me_subscriptions_exist_get

        Get if subscriptions exist for the current user  # noqa: E501
        """
        pass

    def test_users_me_subscriptions_get(self):
        """Test case for users_me_subscriptions_get

        Get subscriptions of the current user  # noqa: E501
        """
        pass

    def test_users_me_subscriptions_post(self):
        """Test case for users_me_subscriptions_post

        Add subscription to the current user  # noqa: E501
        """
        pass

    def test_users_me_subscriptions_subscription_handle_delete(self):
        """Test case for users_me_subscriptions_subscription_handle_delete

        Delete subscription of the current user for a given uri  # noqa: E501
        """
        pass

    def test_users_me_subscriptions_subscription_handle_get(self):
        """Test case for users_me_subscriptions_subscription_handle_get

        Get subscription of the current user for a given uri  # noqa: E501
        """
        pass

    def test_users_me_subscriptions_videos_get(self):
        """Test case for users_me_subscriptions_videos_get

        Get videos of subscriptions of the current user  # noqa: E501
        """
        pass

    def test_users_me_video_quota_used_get(self):
        """Test case for users_me_video_quota_used_get

        Get current user used quota  # noqa: E501
        """
        pass

    def test_users_me_videos_get(self):
        """Test case for users_me_videos_get

        Get videos of the current user  # noqa: E501
        """
        pass

    def test_users_me_videos_imports_get(self):
        """Test case for users_me_videos_imports_get

        Get video imports of current user  # noqa: E501
        """
        pass

    def test_users_me_videos_video_id_rating_get(self):
        """Test case for users_me_videos_video_id_rating_get

        Get rating of video by its id, among those of the current user  # noqa: E501
        """
        pass


if __name__ == '__main__':
    unittest.main()
